{
	"component": "form",
	"attribute": {
		"name": "so_Input",
		"style": ["position:absolute", "left:0px", "top:0px", "width:936px", "height:635px"]
	},
	"children": [
		{
			"attribute": {
				"id": "SO_HS_SALES_ORDER_ID",
				"style": ["position:absolute", "left:20px", "top:35px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "TUNNUS"
		},
		{
			"attribute": {
				"id": "SO_FS_SALES_ORDER_ID",
				"name": "SO_FS_SALES_ORDER_ID",
				"style": ["position:absolute", "left:192px", "top:35px", "width:256px", "height:15px"],
				"type": "text",
				"value": "110022"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_COUNTRY_OF_ORIGIN",
				"style": ["position:absolute", "left:20px", "top:57px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Alkuperämaa"
		},
		{
			"attribute": {
				"id": "SO_FS_COUNTRY_OF_ORIGIN",
				"name": "SO_FS_COUNTRY_OF_ORIGIN",
				"style": ["position:absolute", "left:192px", "top:57px", "width:256px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_COUNTRY_OF_DESTINATION",
				"style": ["position:absolute", "left:20px", "top:79px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Määrämaa"
		},
		{
			"attribute": {
				"id": "SO_FS_COUNTRY_OF_DESTINATION",
				"name": "SO_FS_COUNTRY_OF_DESTINATION",
				"style": ["position:absolute", "left:192px", "top:79px", "width:256px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_PRECARRIAGE",
				"style": ["position:absolute", "left:20px", "top:101px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Esikuljetus"
		},
		{
			"attribute": {
				"id": "SO_FS_PRECARRIAGE",
				"name": "SO_FS_PRECARRIAGE",
				"style": ["position:absolute", "left:192px", "top:101px", "width:256px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_PLACE_OF_DEPARTURE",
				"style": ["position:absolute", "left:20px", "top:123px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Lähtöpaikka"
		},
		{
			"attribute": {
				"id": "SO_FS_PLACE_OF_DEPARTURE",
				"name": "SO_FS_PLACE_OF_DEPARTURE",
				"style": ["position:absolute", "left:192px", "top:123px", "width:256px", "height:15px"],
				"type": "text",
				"value": "Jyväskylä"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_WAY_OF_DELIVERY",
				"style": ["position:absolute", "left:20px", "top:145px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Toimitustapa"
		},
		{
			"attribute": {
				"id": "SO_ASPOPWAY_OF_DELIVERY",
				"style": ["position:absolute", "left:192px", "top:144px", "width:262px", "height:20px"]
			},
			"children": [
				{
					"attribute": {
						"value": "volvo"
					},
					"component": "option",
					"content": "Volvo"
				},
				{
					"attribute": {
						"value": "saab"
					},
					"component": "option",
					"content": "Saab"
				},
				{
					"attribute": {
						"value": "opel"
					},
					"component": "option",
					"content": "Opel"
				},
				{
					"attribute": {
						"value": "audi"
					},
					"component": "option",
					"content": "Audi"
				}
			],
			"component": "select"
		},
		{
			"attribute": {
				"id": "SO_HS_DISCHARGE_PLACE",
				"style": ["position:absolute", "left:20px", "top:167px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Purkauspaikka"
		},
		{
			"attribute": {
				"id": "SO_FS_DISCHARGE_PLACE",
				"name": "SO_FS_DISCHARGE_PLACE",
				"style": ["position:absolute", "left:192px", "top:167px", "width:256px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_DESTINATION",
				"style": ["position:absolute", "left:20px", "top:189px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Määräpaikka"
		},
		{
			"attribute": {
				"id": "SO_FS_DESTINATION",
				"name": "SO_FS_DESTINATION",
				"style": ["position:absolute", "left:192px", "top:189px", "width:256px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_TERM_OF_DELIVERY",
				"style": ["position:absolute", "left:20px", "top:211px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Toimitusehto"
		},
		{
			"attribute": {
				"id": "TOD_ASPOPLIST",
				"style": ["position:absolute", "left:192px", "top:210px", "width:262px", "height:20px"]
			},
			"children": [
				{
					"attribute": {
						"value": "volvo"
					},
					"component": "option",
					"content": "Volvo"
				},
				{
					"attribute": {
						"value": "saab"
					},
					"component": "option",
					"content": "Saab"
				},
				{
					"attribute": {
						"value": "opel"
					},
					"component": "option",
					"content": "Opel"
				},
				{
					"attribute": {
						"value": "audi"
					},
					"component": "option",
					"content": "Audi"
				}
			],
			"component": "select"
		},
		{
			"attribute": {
				"name": "<  > GSTOIMITUSL",
				"style": ["position:absolute", "left:192px", "top:233px", "width:256px", "height:15px"],
				"type": "text",
				"value": "INCOTERMS 2012"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_FREIGHT_CHARGES_PAYER",
				"style": ["position:absolute", "left:20px", "top:255px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Rahdinmaksaja"
		},
		{
			"attribute": {
				"id": "SO_ASPOPFREIGHTCHARGESPAYER",
				"style": ["position:absolute", "left:192px", "top:254px", "width:262px", "height:20px"]
			},
			"children": [
				{
					"attribute": {
						"value": "volvo"
					},
					"component": "option",
					"content": "Volvo"
				},
				{
					"attribute": {
						"value": "saab"
					},
					"component": "option",
					"content": "Saab"
				},
				{
					"attribute": {
						"value": "opel"
					},
					"component": "option",
					"content": "Opel"
				},
				{
					"attribute": {
						"value": "audi"
					},
					"component": "option",
					"content": "Audi"
				}
			],
			"component": "select"
		},
		{
			"attribute": {
				"id": "SO_HS_COVENANT",
				"style": ["position:absolute", "left:20px", "top:277px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Sopimusehto"
		},
		{
			"attribute": {
				"id": "SO_ASPOPCOVENANT",
				"style": ["position:absolute", "left:192px", "top:276px", "width:262px", "height:20px"]
			},
			"children": [
				{
					"attribute": {
						"value": "volvo"
					},
					"component": "option",
					"content": "Volvo"
				},
				{
					"attribute": {
						"value": "saab"
					},
					"component": "option",
					"content": "Saab"
				},
				{
					"attribute": {
						"value": "opel"
					},
					"component": "option",
					"content": "Opel"
				},
				{
					"attribute": {
						"value": "audi"
					},
					"component": "option",
					"content": "Audi"
				}
			],
			"component": "select"
		},
		{
			"attribute": {
				"id": "SO_HS_MARK",
				"style": ["position:absolute", "left:20px", "top:299px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Merkki"
		},
		{
			"attribute": {
				"id": "SO_FS_MARK",
				"name": "SO_FS_MARK",
				"style": ["position:absolute", "left:192px", "top:299px", "width:256px", "height:58px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_EUR_NUMBER",
				"style": ["position:absolute", "left:20px", "top:365px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "EUR 1 No"
		},
		{
			"attribute": {
				"id": "SO_FS_EUR_NUMBER",
				"name": "SO_FS_EUR_NUMBER",
				"style": ["position:absolute", "left:192px", "top:365px", "width:256px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_PACKING_STATE",
				"style": ["position:absolute", "left:20px", "top:387px", "width:150px", "height:15px"]
			},
			"component": "label",
			"content": "Pakkaustila"
		},
		{
			"attribute": {
				"id": "SO_ASPOPPACKINGSTATE",
				"style": ["position:absolute", "left:192px", "top:386px", "width:262px", "height:20px"]
			},
			"children": [
				{
					"attribute": {
						"value": "volvo"
					},
					"component": "option",
					"content": "Volvo"
				},
				{
					"attribute": {
						"value": "saab"
					},
					"component": "option",
					"content": "Saab"
				},
				{
					"attribute": {
						"value": "opel"
					},
					"component": "option",
					"content": "Opel"
				},
				{
					"attribute": {
						"value": "audi"
					},
					"component": "option",
					"content": "Audi"
				}
			],
			"component": "select"
		},
		{
			"attribute": {
				"id": "SO_HS_PACKING_INFO",
				"style": ["position:absolute", "left:20px", "top:409px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Pakkausohje"
		},
		{
			"attribute": {
				"name": "SO_FT_PACKING_INFO",
				"style": ["position:absolute", "left:192px", "top:409px", "width:271px", "height:34px"]
			},
			"component": "textarea"
		},
		{
			"attribute": {
				"id": "SO_HS_OFFER_NUMBER",
				"style": ["position:absolute", "left:488px", "top:35px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Tarjous nro"
		},
		{
			"attribute": {
				"id": "SO_FS_OFFER_NUMBER",
				"name": "SO_FS_OFFER_NUMBER",
				"style": ["position:absolute", "left:660px", "top:35px", "width:256px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_TARIFF_HEADING",
				"style": ["position:absolute", "left:488px", "top:57px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Tullinimike"
		},
		{
			"attribute": {
				"id": "SO_FS_TARIFF_HEADING",
				"name": "SO_FS_TARIFF_HEADING",
				"style": ["position:absolute", "left:660px", "top:57px", "width:256px", "height:81px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_GROSS_WEIGHT",
				"style": ["position:absolute", "left:488px", "top:145px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Bruttopaino"
		},
		{
			"attribute": {
				"name": "SO_FR_GROSS_WEIGHT",
				"style": ["position:absolute", "left:660px", "top:145px", "width:256px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_NET_WEIGHT",
				"style": ["position:absolute", "left:488px", "top:167px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Nettopaino"
		},
		{
			"attribute": {
				"name": "SO_FR_NET_WEIGHT",
				"style": ["position:absolute", "left:660px", "top:167px", "width:256px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_VOLUME",
				"style": ["position:absolute", "left:488px", "top:189px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Tilavuus"
		},
		{
			"attribute": {
				"name": "SO_FR_VOLUME",
				"style": ["position:absolute", "left:660px", "top:189px", "width:256px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_EXCHANGE_RATE",
				"style": ["position:absolute", "left:488px", "top:211px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Valuuttakurssi"
		},
		{
			"attribute": {
				"name": "SO_FR_EXCHANGE_RATE",
				"style": ["position:absolute", "left:660px", "top:211px", "width:256px", "height:15px"],
				"type": "text",
				"value": "1"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_EURO_RATE",
				"style": ["position:absolute", "left:488px", "top:233px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Eurokurssi"
		},
		{
			"attribute": {
				"name": "SO_FR_EURO_RATE",
				"style": ["position:absolute", "left:660px", "top:233px", "width:256px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_DESCRIPTION_OF_THE_GOODS",
				"style": ["position:absolute", "left:488px", "top:255px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Kollit / kauppanim."
		},
		{
			"attribute": {
				"name": "SO_FT_DESCRIPTION_OF_THE_GOODS",
				"style": ["position:absolute", "left:660px", "top:255px", "width:256px", "height:102px"]
			},
			"component": "textarea"
		},
		{
			"attribute": {
				"id": "SO_HS_SUPPLIER_INVOICE_NUMBER",
				"style": ["position:absolute", "left:488px", "top:365px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Päämiehen laskunum."
		},
		{
			"attribute": {
				"id": "SO_FS_SUPPLIER_INVOICE_NUMBER",
				"name": "SO_FS_SUPPLIER_INVOICE_NUMBER",
				"style": ["position:absolute", "left:660px", "top:365px", "width:256px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_SUPPLIER_INVOICE_DATE",
				"style": ["position:absolute", "left:488px", "top:387px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Päämiehen laskupv"
		},
		{
			"attribute": {
				"name": "SO_FD_SUPPLIER_INVOICE_DATE",
				"style": ["position:absolute", "left:660px", "top:387px", "width:256px", "height:15px"],
				"type": "date",
				"value": "0000-00-00"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_NUMBER_OF_PALLETS",
				"style": ["position:absolute", "left:488px", "top:409px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Pakettien lkm"
		},
		{
			"attribute": {
				"name": "SO_FL_NUMBER_OF_PALLETS",
				"style": ["position:absolute", "left:660px", "top:409px", "width:256px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_PROJECT_ID",
				"style": ["position:absolute", "left:20px", "top:453px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Projekti"
		},
		{
			"attribute": {
				"id": "SO_FS_PROJECT_ID",
				"name": "SO_FS_PROJECT_ID",
				"style": ["position:absolute", "left:192px", "top:453px", "width:100px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_CUSTOMER_PROJECT",
				"style": ["position:absolute", "left:332px", "top:453px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "As. projekti"
		},
		{
			"attribute": {
				"id": "SO_FS_CUSTOMER_PROJECT",
				"name": "SO_FS_CUSTOMER_PROJECT",
				"style": ["position:absolute", "left:504px", "top:453px", "width:100px", "height:15px"],
				"type": "text",
				"value": "Runko*2"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_TRANSFER_ID",
				"style": ["position:absolute", "left:644px", "top:453px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Siirtotunnus"
		},
		{
			"attribute": {
				"id": "SO_FS_TRANSFER_ID",
				"name": "SO_FS_TRANSFER_ID",
				"style": ["position:absolute", "left:816px", "top:453px", "width:100px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_SALES_PRICE_TOTAL",
				"style": ["position:absolute", "left:20px", "top:497px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "MH yht."
		},
		{
			"attribute": {
				"name": "SO_FR_SALES_PRICE_TOTAL",
				"style": ["position:absolute", "left:192px", "top:497px", "width:100px", "height:15px"],
				"type": "text",
				"value": "8812,95"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_COST_PRICE",
				"style": ["position:absolute", "left:20px", "top:519px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Omakustannus"
		},
		{
			"attribute": {
				"name": "SO_FR_COST_PRICE",
				"style": ["position:absolute", "left:192px", "top:519px", "width:100px", "height:15px"],
				"type": "text",
				"value": "9311,84"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_SALES_MARGIN",
				"style": ["position:absolute", "left:332px", "top:519px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Kate yht."
		},
		{
			"attribute": {
				"name": "SO_FR_SALES_MARGIN",
				"style": ["position:absolute", "left:504px", "top:519px", "width:100px", "height:15px"],
				"type": "text",
				"value": "-498,89"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_SALES_MARGIN_PERCENTAGE",
				"style": ["position:absolute", "left:644px", "top:519px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Kate %"
		},
		{
			"attribute": {
				"name": "SO_FR_SALES_MARGIN_PERCENTAGE",
				"style": ["position:absolute", "left:816px", "top:519px", "width:100px", "height:15px"],
				"type": "text",
				"value": "-6"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_MATERIAL_COST",
				"style": ["position:absolute", "left:20px", "top:541px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Materiaalien omakust."
		},
		{
			"attribute": {
				"name": "SO_FR_MATERIAL_COST",
				"style": ["position:absolute", "left:192px", "top:541px", "width:100px", "height:15px"],
				"type": "text",
				"value": "2947,49"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_MATERIAL_MARGIN",
				"style": ["position:absolute", "left:332px", "top:541px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Materiaalikate yht."
		},
		{
			"attribute": {
				"name": "SO_FR_MATERIAL_MARGIN",
				"style": ["position:absolute", "left:504px", "top:541px", "width:100px", "height:15px"],
				"type": "text",
				"value": "5865,46"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_MATERIAL_MARGIN_PERCENTAG",
				"style": ["position:absolute", "left:644px", "top:541px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Materiaalikate %"
		},
		{
			"attribute": {
				"name": "SO_FR_MATERIAL_MARGIN_PERCENTAG",
				"style": ["position:absolute", "left:816px", "top:541px", "width:100px", "height:15px"],
				"type": "text",
				"value": "67"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SO_HS_INFO",
				"style": ["position:absolute", "left:20px", "top:563px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Lisätietoja"
		},
		{
			"attribute": {
				"name": "SO_FT_INFO",
				"style": ["position:absolute", "left:192px", "top:563px", "width:724px", "height:39px"]
			},
			"component": "textarea"
		},
		{
			"attribute": {
				"name": "SO_LBWEIGHTCALCULATE",
				"style": ["position:absolute", "left:488px", "top:80px", "width:146px", "height:19px"]
			},
			"component": "button",
			"content": "Laske"
		},
		{
			"attribute": {
				"name": "_FI_LPBPOPMODIFY",
				"style": [
					"position:absolute",
					"left:175px",
					"top:145px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/pen.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBPOPMODIFY"
		},
		{
			"attribute": {
				"name": "_FI_LPBPOPMODIFY",
				"style": [
					"position:absolute",
					"left:175px",
					"top:211px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/pen.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBPOPMODIFY"
		},
		{
			"attribute": {
				"name": "_FI_LPBPOPMODIFY",
				"style": [
					"position:absolute",
					"left:175px",
					"top:255px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/pen.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBPOPMODIFY"
		},
		{
			"attribute": {
				"name": "_FI_LPBPOPMODIFY",
				"style": [
					"position:absolute",
					"left:175px",
					"top:277px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/pen.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBPOPMODIFY"
		},
		{
			"attribute": {
				"style": [
					"position:absolute",
					"left:10px",
					"top:477px",
					"width:916px",
					"height: 1px",
					"border: none",
					"color:lightgray",
					"background-color:lightgray"
				]
			},
			"component": "hr"
		},
		{
			"attribute": {
				"name": "_FI_LPBPOPMODIFY",
				"style": [
					"position:absolute",
					"left:175px",
					"top:387px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/pen.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBPOPMODIFY"
		}
	],
	"comment": "ImageButton  _FI_LPBPOPMODIFY [172,386,16,16] \"/resources/icons/pen.png\" \"$7\" \"$8\" \"$9\""
}
